/*+*****************************************************************************
*                                                                              *
* File: host.h                                                                 *
*                                                                              *
**-****************************************************************************/

/*
 * $Id: host.h,v 1.6 2008/06/30 11:28:57 cons Exp $
 */

#ifndef _host_h_
#define _host_h_

/******* Include Files ********************************************************/

#include "xmd.h"

#include <sys/types.h>
#include <netinet/in.h>

/******* Constants ************************************************************/

/******* Macros ***************************************************************/

/******* Types ****************************************************************/

typedef struct HOST_ {
  char *name;			/* (meaningful) host name */
  char ip_name[16];		/* host name in decimal dot notation */
  char *short_name;		/* host name without the domain */
  char *fq_name;		/* fully qualified host name */
  char *domain;			/* domain name */
  struct in_addr addr;		/* host address */
} HOST;

/******* Variables ************************************************************/

extern HOST *local_host;	/* the local host (i.e. 127.0.0.1) */
extern HOST *this_host;		/* the host running mxconns */

/******* Functions ************************************************************/

char *host_name(U32BITS);
HOST *host_create_by_addr(struct in_addr *);
HOST *host_create_by_name(char *);
void  host_destroy(HOST *);
void  host_setup(void);

#endif /* _host_h_ */
/* DON'T ADD ANYTHING AFTER THIS LINE */
