/*+*****************************************************************************
*                                                                              *
* File: xs.h                                                                   *
*                                                                              *
**-****************************************************************************/

/*
 * $Id: xs.h,v 1.12 2008/07/11 12:55:00 cons Exp $
 */

#ifndef _xs_h_
#define _xs_h_

/******* Include Files ********************************************************/

#include "host.h"

/******* Constants ************************************************************/

/*
 * flags
 */
#define XS_ANY		(1 << 0)  /* do we bind the TCP socket to INADDR_ANY? */
#define XS_HUNT		(1 << 1)  /* do we hunt to find an unused display? */
#define XS_WANT_TCP	(1 << 2)  /* we try to create a TCP server socket */
#define XS_NEED_TCP	(1 << 3)  /* we must create a TCP server socket */
#define XS_WANT_UNIX	(1 << 4)  /* we try to create a UNIX server socket */
#define XS_NEED_UNIX	(1 << 5)  /* we must create a UNIX server socket */
#define XS_WANT_LOOP	(1 << 6)  /* we try to create a loopback TCP socket */
#define XS_NEED_LOOP	(1 << 7)  /* we must create a loopback TCP socket */

/*
 * incomming socket types (index to xs_fd[])
 */
#define XS_TCP		0      /* normal TCP socket (bound to this_host) */
#define XS_UNIX		1      /* UNIX domain socket */
#define XS_LOOP		2      /* loopback TCP socket (bound to local_host) */

/******* Macros ***************************************************************/

/******* Types ****************************************************************/

/******* Variables ************************************************************/

extern int xs_flags;		/* X socket flags */
extern int xs_fd[];		/* file descriptors of the incomming sockets */

/******* Functions ************************************************************/

char *xs_type(int);
int   xs_connect(void);
int   xs_accept(int, HOST **);
void  xs_setup(char *, int *, char *);
void  xs_close(void);

#endif /* _xs_h_ */
/* DON'T ADD ANYTHING AFTER THIS LINE */
